List Cluster Nodes Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes \
--header 'Authorization: Bearer <token>'{
"nodes": [
{
"created_at": "<string>",
"id": "<string>",
"instance_type": "<string>",
"is_deleted": true,
"kind": "<string>",
"location": "<string>",
"name": "<string>",
"state": "<string>",
"updated_at": "<string>",
"node_group": "<string>",
"private_ip": "<string>",
"public_ip": "<string>",
"role": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}OVH Clusters
List Cluster Nodes Endpoint
GET
/
api
/
v1
/
clusters
/
ovh
/
{cluster_id}
/
nodes
List Cluster Nodes Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes \
--header 'Authorization: Bearer <token>'{
"nodes": [
{
"created_at": "<string>",
"id": "<string>",
"instance_type": "<string>",
"is_deleted": true,
"kind": "<string>",
"location": "<string>",
"name": "<string>",
"state": "<string>",
"updated_at": "<string>",
"node_group": "<string>",
"private_ip": "<string>",
"public_ip": "<string>",
"role": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes